Bug 797999 - ConcurrentModificationException after re-inventorying resource
ConcurrentModificationException after re-inventorying resource
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent, Core Server (Show other bugs)
4.3
Unspecified Linux
urgent Severity urgent (vote)
: ---
: RHQ 4.3.0
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-27 13:56 EST by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 05:55:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
server log (502.11 KB, application/octet-stream)
2012-02-27 13:56 EST, Libor Zoubek
no flags Details

  None (edit)
Description Libor Zoubek 2012-02-27 13:56:45 EST
Created attachment 566119 [details]
server log

Description of problem: When I do inventory/uninventory of any resource I get ConcurrentModificationException in server's log.


Version-Release number of selected component (if applicable):
Version: 4.3.0-SNAPSHOT
Build Number: 3d0d044

How reproducible: always


Steps to Reproduce:
1.have some resource (I have EAP6 ER1 standalone server) under platform in discovery queue
2.inventory it
3.uninventory it
4.run manual autodiscovery
5.inventory it again
  
Actual results: There is an exception in log (see attachement). Not sure if it happens in step 3 or 5. 


Expected results:


Additional info:If I run autodiscovery on agent afther this exception was fired, it becomes 'In progress' for unusual amount of time, afer that whole platform and all resources become down. It does not seem to be related to EAP6 plugin, it happens for each resource.
Comment 1 Charles Crouch 2012-02-27 16:51:02 EST
I'm wondering if this is related to https://bugzilla.redhat.com/show_bug.cgi?id=794790
Comment 2 Ian Springer 2012-03-05 12:31:16 EST
Fixed in master:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=98149c5
Comment 3 Libor Zoubek 2012-03-09 11:35:02 EST
verified on Version: 4.4.0-SNAPSHOT Build Number: f02a5b9

Note You need to log in before you can comment on or make changes to this bug.